Bug 277921 - Review Request: jgoodies-forms - Java layout framework
Review Request: jgoodies-forms - Java layout framework
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-05 03:44 EDT by Mary Ellen Foster
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-30 06:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2007-09-05 03:44:52 EDT
Spec URL: http://mef.fedorapeople.org/packages/jgoodies/jgoodies-forms.spec
SRPM URL: http://mef.fedorapeople.org/packages/jgoodies/jgoodies-forms-1.1.0-1.fc7.src.rpm

The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard
stuff possible, the good design easy and the bad difficult.

Main Benefits:

* Powerful, flexible and precise layout
* Easy to work with and quite easy to learn
* Faster UI production
* Better UI code readability
* Leads to better style guide compliance
Comment 1 Mamoru TASAKA 2007-10-11 11:49:00 EDT
! Well, actually I don't know how to use this package
  and I don't know well about Java, however anyway I will
  try to review this.

  - I don't know what CLASSPATH does, however many other
    review requests seem to set CLASSPATH as ""
    (e.g. bug 251428). Would you try that?

* Timestamp
  - When using "install" or "cp" command, add "-p" option
    to keep timestamps.

* Misc rpmlint issues
jgoodies-forms.src: W: mixed-use-of-spaces-and-tabs (spaces: line 65, tab: line 59)
jgoodies-forms.src: W: strange-permission jgoodies-forms-build.patch 0600
jgoodies-forms.src: W: strange-permission forms-1_1_0.zip 0600
jgoodies-forms.noarch: W: file-not-utf8
jgoodies-forms.noarch: W: file-not-utf8
jgoodies-forms.noarch: W: file-not-utf8
  - Unify indentation. Please use spaces or tabs, not both
  - Change the permission of the files in srpm to 0644.
  - Change the encodings of HTML files to UTF-8.
    ! Note:
      When changing the encodings of HTML files into UTF-8, you also
      have to change the string of "charset".
      For example, 
      contains the line:
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
Comment 3 Mamoru TASAKA 2007-10-17 13:22:31 EDT
Diff of spec file between 1 and 2 shows:
+# rm -rf $RPM_BUILD_ROOT
Please don't remove this line. Other things are okay.

  This package (jgoogies-forms) is APPROVED by me
Comment 4 Mary Ellen Foster 2007-10-19 10:07:56 EDT
New Package CVS Request
Package Name: jgoodies-forms
Short Description: Java layout framework
Owners: mef
Branches: F-7
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-10-21 13:08:04 EDT
Mass branching for F-8 has happened, so I assume you wanted a F-8 branch as well. 
cvs done. 
Comment 6 Mamoru TASAKA 2007-10-29 13:39:44 EDT
Please rebuild this package and import this to Fedora.
Comment 7 Mary Ellen Foster 2007-10-30 06:46:52 EDT
Sorry about that, I was waiting to see if there was any progress on the
jgoodies-looks package.

Note You need to log in before you can comment on or make changes to this bug.